local li, lg, rand, time = love.image, love.graphics, love.math.random, love.timer.getTime

local scrW, scrH = lg.getDimensions()
local texW, texH = 256, 256
local barH = scrH * 0.25
local barSpd = scrH * 4

local noise = li.newImageData(texW, texH)
noise:mapPixel(function(x, y)
	local r = rand()
	return r, r, r, 1
end)

local noiseTex = lg.newImage(noise)
noiseTex:setWrap('repeat', 'repeat')
local quad = lg.newQuad(0, 0, texW, texH, texW, texH)

function love.draw()
	lg.setColor(1, 1, 1)
	quad:setViewport(rand() * texW, rand() * texH, texW, texH)
	lg.draw(noiseTex, quad, 0, 0, 0, scrW / texW, scrH / texH)

	lg.setColor(0, 0, 0, .25)
	local y = -barH + (barSpd * time() % (scrH + barH * 2))
	lg.rectangle('fill', 0, scrH - y, scrW, barH)
end
